package com.mbeers.interfaces;

import java.util.List;

import com.mbeers.events.KeyEvent;
import com.mbeers.events.TouchEvent;

/**
 * User input interface.
 * 
 * @author Michael Beers
 * @todo Docblocks
 */
public interface Input {

	public boolean isKeyPressed(int keyCode);
	
	public boolean isTouchDown(int pointer);
	
	public int getTouchX(int pointer);
	
	public int getTouchY(int pointer);
	
	public float getAccelX();
	
	public float getAccelY();
	
	public float getAccelZ();
	
	public List<KeyEvent> getKeyEvents();
	
	public List<TouchEvent> getTouchEvents();
	
}
