package com.kleinrome;

import com.mbeers.AndroidGame;
import com.mbeers.Screen;

/**
 * Klein Rome.
 * 
 * This is the start activity of the game application. The user should be logged
 * in first before you can get into the game.
 * 
 * @author Michael Beers
 */
public class KleinRome extends AndroidGame {

	private boolean started = false;

	/**
	 * This is the start screen of the game.
	 * 
	 * Here will the splash screen start.
	 */
	@Override
	public Screen getStartScreen() {
		// start loading the assets.
		if (!started) {

			started = true;
		}

		// return the splash loading screen.
		return new SplashLoadingScreen(this);
	}

}
