package com.kleinrome;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

/**
 * Main.
 * 
 * This is the start activity of the application. This is the place where an
 * user should login before he can use the application.
 * 
 * @author Michael Beers
 */
public class Main extends Activity {

	/**
	 * Constructor for this activity.
	 */
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		// show the content
		setContentView(R.layout.main);

		// login button action
		final Button loginBtn = (Button) findViewById(R.id.inloggen);
		loginBtn.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				Intent goToGame = new Intent(Main.this, KleinRome.class);
				startActivity(goToGame);
			}
		});
	}

}
