package com.mbeers.interfaces;

/**
 * Audio interface.
 * 
 * Ties every audio based interface together.
 * 
 * @author Michael Beers
 */
public interface Audio {

	/**
	 * Create a (large) music.
	 * 
	 * @param fileName
	 * @return
	 */
	public Music createMusic(String fileName);

	/**
	 * Create a sound effect.
	 * 
	 * @param fileName
	 * @return
	 */
	public SFX createSFX(String fileName);

}
