package com.mbeers.interfaces;

import java.util.List;

import android.view.View.OnTouchListener;

import com.mbeers.interfaces.Input.TouchEvent;

/**
 * Touch handler interface.
 * 
 * No description yet. TODO Docblocks
 * 
 * @author Michael Beers
 */
public interface TouchHandler extends OnTouchListener {

	public boolean isTouchDown(int pointer);

	public int getTouchX(int pointer);

	public int getTouchY(int pointer);

	public List<TouchEvent> getTouchEvents();

}
