package com.mbeers.interfaces;

import java.util.List;

import com.mbeers.events.TouchEvent;

import android.view.View.OnTouchListener;

/**
 * Touch interface.
 * 
 * @author Michael Beers
 * @todo Docblocks
 */
public interface Touch extends OnTouchListener {

	public boolean isTouchDown(int pointer);

	public int getTouchX(int pointer);

	public int getTouchY(int pointer);

	public List<TouchEvent> getTouchEvents();

}
