package com.mbeers.interfaces;

import com.mbeers.interfaces.Graphics.ImageFormat;

/**
 * Image interface.
 * 
 * No description yet...
 * 
 * @author Michael Beers
 * 
 *         TODO Docblocks
 */
public interface Image {

	/**
	 * Get image width.
	 * 
	 * @return
	 */
	public int getWidth();

	/**
	 * Get image height.
	 * 
	 * @return
	 */
	public int getHeight();

	/**
	 * Get image format.
	 * 
	 * @return
	 */
	public ImageFormat getFormat();

	/**
	 * Dispose/destroy image.
	 */
	public void dispose();

}
