package com.mbeers.interfaces;

/**
 * Sound effect interface.
 * 
 * The interface for small audio.
 * 
 * @author Michael Beers
 */
public interface SFX {

	/**
	 * Play the sound effect once.
	 * 
	 * @param volume
	 */
	public void play(float volume);

	/**
	 * Dispose/destroy the sound effect.
	 */
	public void dispose();

}
